Bug 785676 - cli:auth.reject does not allow setting "*"
cli:auth.reject does not allow setting "*"
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 05:02 EST by Saurabh
Modified: 2016-01-19 01:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-30 05:32:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-01-30 05:02:23 EST
Description of problem:

[root@RHEL1 ~]# gluster volume set dist-rep auth.reject *
option : install.log does not exist
Did you mean auth.allow?
Set volume unsuccessful
[root@RHEL1 ~]# ls
anaconda-ks.cfg  install.log  install.log.syslog

Version-Release number of selected component (if applicable):

[root@RHEL1 ~]# glusterfs -V
glusterfs 3git built on Jan 25 2012 07:57:35
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.

How reproducible:
easily

Steps to Reproduce:
1.create a volume
2.try set the option auth.reject with "*"
3.
  
Actual results:
it tries to collect info from present working directory

Expected results:
it should just set the value as per description given on this page,
http://www.gluster.org/community/documentation/index.php/Gluster_3.2:_Setting_Volume_Options

Additional info:
Comment 1 Saurabh 2012-01-30 05:32:18 EST
Closing the bug, as a developer clarified me about this.

Note You need to log in before you can comment on or make changes to this bug.